Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSnapshotsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeSnapshotsResult

    public class DescribeSnapshotsResult

extends Object

The result of describing EBS snapshots.

Constructor Summary
`DescribeSnapshotsResult()`

Method Summary
`List<Snapshot>` | `getSnapshots()` The list of described EBS snapshots.
`void` | `setSnapshots(Collection<Snapshot> snapshots)` The list of described EBS snapshots.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSnapshotsResult` | `withSnapshots(Collection<Snapshot> snapshots)` The list of described EBS snapshots.
`DescribeSnapshotsResult` | `withSnapshots(Snapshot... snapshots)` The list of described EBS snapshots.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSnapshotsResult

    public DescribeSnapshotsResult()

Method Detail

### getSnapshots

    public List<Snapshot> getSnapshots()

  The list of described EBS snapshots.

  Returns:
    The list of described EBS snapshots.

### setSnapshots

    public void setSnapshots(Collection<Snapshot> snapshots)

  The list of described EBS snapshots.

  Parameters:
    `snapshots` - The list of described EBS snapshots.

### withSnapshots

    public DescribeSnapshotsResult withSnapshots(Snapshot... snapshots)

  The list of described EBS snapshots.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshots` - The list of described EBS snapshots.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSnapshots

    public DescribeSnapshotsResult withSnapshots(Collection<Snapshot> snapshots)

  The list of described EBS snapshots.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshots` - The list of described EBS snapshots.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.